znemožnění kopírování textu testu a jeho stimulů respondenty
21 March 2016 10:39 - Marek Frič

Status: In Progress Start date: 21 March 2016
Priority: Low Due date:
Assignee: Tomáš Kulhánek % Done: 80%
Category: HTML5 client Estimated time: 0.00 hour
Target version: Psychotest2 Spent time: 1.00 hour
Description

Zjistil jsem, ze pri provadeni testu jakozto respondent, je mozne kopirovat jednotlivy text do schranky a prenest si do svych
dokumentu.

Je mozne tomuto v testech zabranit?

Podobne, by bylo vhodne chranit kopirovani jednotlivych zvukovych, obrazovych a video stimulu (nezkousel jsem jesli jestli a jak je to
mozne)

History
#1 - 22 March 2016 22:34 - Tomáš Kulhánek
- Priority changed from Normal to Low

To je dost blby pozadavek, zamezit uzivateli neco udelat. Kopirovat text do schranky se v mnoha pripadech hodi. Fakt je, ze se do tohoto systemu uz
investovalo desitky tisic korun. Takze proc ne. Ale prijde mi to - low priority.

#2 - 21 December 2016 11:52 - Tomáš Kulhánek
- Category set to HTML5 client
- Assignee set to Tomáš Kulhánek
- Target version set to Psychotest2
- % Done changed from 0 to 100

fixed.
Nelze oznacit a skopirovat co je v oblasti "preview" - obsah testu, cokoliv mimo lze oznacit a zkopirovat do schranky (link na test, pauznuty test atd.).

#preview {
    overflow: auto;
    max-width: 65em;
    margin: auto;
    border: 1px solid #ccc;
    border-radius:4px;
    /* disable select copy/paste*/
     user-select: none;
    -ms-user-select: none;
    -o-user-select:none;
    -moz-user-select: none;
    -khtml-user-select: none;
    -webkit-user-select: none;
    -webkit-touch-callout: none;
}

#3 - 21 December 2016 11:53 - Tomáš Kulhánek
- Status changed from New to Resolved

http://stackoverflow.com/questions/9958478/how-to-disable-copy-paste-browser

#4 - 21 December 2016 12:06 - Tomáš Kulhánek
- % Done changed from 100 to 80

Chranit audio-video obsah je slozitejsi.
I ted uzivatel musi debugovat HTML obsah a podivat se na linky, kam ukazuji audio,video tagy a ty linky dat jinam a stahnout primo. Navic prohlizece
si delaji cache, takze bychom to museli nejak nastavit aby ten audio-video obsah nedaval do cache, to je dost pracne. Hezke reseni je streamovani
chraneneho obsahu: implementuje music.amazon.com nebo spotify = dost pracné na vlastní řešení :-)

#5 - 03 January 2017 08:35 - Marek Frič

Ok, zda se, ze zatim tedy nepujde chranit videa a audio (jinak, jak to lze kopirovat, to jsem ani netusil), budeme chranit zatim jenom texty

#6 - 05 January 2017 04:37 - Tomáš Kulhánek
- Status changed from Resolved to In Progress

Pujde stizit i download video a audio. Dovoli to jen ze stranky jinak ne. 
Nutno implementovat na serveru viz poznamky napr. v
http://stackoverflow.com/questions/9756837/prevent-html5-video-from-being-downloaded-right-click-saved
